diff --git a/web/pgadmin/browser/server_groups/servers/static/js/privilege.js b/web/pgadmin/browser/server_groups/servers/static/js/privilege.js
index 0a99fa3..6f0fc68 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/privilege.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/privilege.js
@@ -78,6 +78,10 @@
           // This has been called during generating the header cell
           return false;
         }
+        if (m.top.node_info && 'catalog' in m.top.node_info) {
+          // Disable the control if it is under catalog
+          return true;
+        }
         return !(
           m.top && m.top.node_info &&
           m.top.node_info.server.user.name == m.get('grantor')
@@ -172,6 +176,10 @@
           // This has been called during generating the header cell
           return false;
         }
+        if (column.handler.node_info && 'catalog' in column.handler.node_info) {
+          // Disable the control if it is under catalog
+          return true;
+        }
         return !(this.node_info && this.node_info.server.user.name == column.get('grantor') ||
                 this.attributes.node_info.server.user.name == column.get('grantor'));
       }
